org.apache.cassandra.cql3

## Class UserTypes

- java.lang.Object
- - org.apache.cassandra.cql3.UserTypes

    public abstract class UserTypes
    extends java.lang.Object

Static helper methods and classes for user types.

### Nested Class Summary

Nested Classes
`static class` `UserTypes.DelayedValue`
`static class` `UserTypes.DeleterByField`
`static class` `UserTypes.Literal`
`static class` `UserTypes.Marker`
`static class` `UserTypes.Setter`
`static class` `UserTypes.SetterByField`
`static class` `UserTypes.Value`

### Method Summary

All Methods Static Methods Concrete Methods
`static ColumnSpecification` `fieldSpecOf(ColumnSpecification column, int field)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### fieldSpecOf

    public static ColumnSpecification fieldSpecOf(ColumnSpecification column,
                                                  int field)